sdf_residuals.ml_model_generalized_linear_regression {sparklyr} | R Documentation

## Model Residuals

### Description

This generic method returns a Spark DataFrame with model residuals added as a column to the model training data.

### Usage

    ## S3 method for class 'ml_model_generalized_linear_regression'
    sdf_residuals(object,
      type = c("deviance", "pearson", "working", "response"), ...)

    ## S3 method for class 'ml_model_linear_regression'
    sdf_residuals(object, ...)

    sdf_residuals(object, ...)

### Arguments

`object` | Spark ML model object.
`type` | type of residuals which should be returned.
`...` | additional arguments

[Package sparklyr version 0.8.4 Index]